Accounting transactions
https://app.iteras.dk/api/accountingtransactions/
The /api/accountingtransactions/ endpoint enables
you to download accounting transactions for exports configured in
Iteras. Accounting transactions exports can be set up in the
accounting transactions
section.
Parameters
Both dates are inclusive.
-
export string required
The ID of the accounting transactions export to retrieve data for, e.g.
?export=annual_export.Log in, or send your API key as a bearer token, to see the exports set up for your account.
-
start_date date requiredE.g.
2026-10-01(inclusive). -
end_date date requiredE.g.
2026-10-31(inclusive). -
encoding string Defaults to
ISO-8859-1Character set of returned CSV file,ISO-8859-1orUTF-8.
Return value
Streams data for the export as a CSV file, in the same format as you get if you download the export inside Iteras. The rows are the transactions the export is configured to include, e.g.:
date;description;amount;currency;account_number;offset_account_number
2026-03-01;January subscription;500,00;DKK;1001;5000
2026-03-01;VAT;125,00;DKK;5000;1600
Errors
A missing required parameter, an unknown export, or an
invalid encoding returns a plain text HTTP 400/404 error.
Example
The endpoint can be used to automatically download accounting transactions on a regular basis. For instance, you could daily fetch yesterday's data with something like:
curl --request GET "https://app.iteras.dk/api/accountingtransactions/?export=annual_report&start_date=`date -d yesterday +%F`&end_date=`date -d yesterday +%F`" \
--header "Authorization: Bearer <Iteras API key>" \
-OJ # output the file to the standard Iteras filename supplied in the HTTP header